## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csVariant Struct Reference
[Utilities]

Variant, means that type of contained data is set at runtime. More...

`#include <iutil/pluginconfig.h>`

List of all members.

## Public Member Functions

| csVariant ()
bool | GetBool () const
| Retrieve a bool.
float | GetFloat () const
| Retrieve a float.
long | GetLong () const
| Retrieve a long.
const char * | GetString () const
| Retrieve a string.
csVariantType | GetType () const
void | SetBool (bool b)
| Assign a bool.
void | SetCommand ()
| Assign a command.
void | SetFloat (float f)
| Assign a float.
void | SetLong (long l)
| Assign a long.
void | SetString (const char *s)
| Assign a string.
| ~csVariant ()

## Detailed Description

Variant, means that type of contained data is set at runtime.

Be aware that requesting another type than the containing one will trigger an assertion!

Definition at line 49 of file pluginconfig.h.

## Member Function Documentation

bool csVariant::GetBool | ( |  | ) | const`[inline]`

| Retrieve a bool. Definition at line 112 of file pluginconfig.h. References CS_ASSERT, and CSVAR_BOOL.

float csVariant::GetFloat | ( |  | ) | const`[inline]`

| Retrieve a float. Definition at line 118 of file pluginconfig.h. References CS_ASSERT, and CSVAR_FLOAT.

long csVariant::GetLong | ( |  | ) | const`[inline]`

| Retrieve a long. Definition at line 106 of file pluginconfig.h. References CS_ASSERT, and CSVAR_LONG.

const char* csVariant::GetString | ( |  | ) | const`[inline]`

| Retrieve a string. Definition at line 124 of file pluginconfig.h. References CS_ASSERT, and CSVAR_STRING.

void csVariant::SetBool | ( | bool | b | ) | `[inline]`

| Assign a bool. Definition at line 72 of file pluginconfig.h. References CSVAR_BOOL, and CSVAR_STRING.

void csVariant::SetCommand | ( |  | ) | `[inline]`

| Assign a command. Definition at line 99 of file pluginconfig.h. References CSVAR_CMD, and CSVAR_STRING.

void csVariant::SetFloat | ( | float | f | ) | `[inline]`

| Assign a float. Definition at line 79 of file pluginconfig.h. References CSVAR_FLOAT, and CSVAR_STRING.

void csVariant::SetLong | ( | long | l | ) | `[inline]`

| Assign a long. Definition at line 65 of file pluginconfig.h. References CSVAR_LONG, and CSVAR_STRING.

void csVariant::SetString | ( | const char * | s | ) | `[inline]`

| Assign a string. Definition at line 86 of file pluginconfig.h. References csStrNew(), and CSVAR_STRING.

The documentation for this struct was generated from the following file:

- iutil/pluginconfig.h